Browser: Impossible to delete GeoPackage table if the path has accents
Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27685

Description

It is currently impossible to delete GeoPackage tables using QGIS browser if the path of the GeoPackage contains accents. However this

works with DB Manager...

1. Create a new folder called "täst" 

2. Copy a GeoPackage into this folder

3. Try to delete a table inside this GeoPackage using the browser

History

#1 - 2018-10-01 03:30 PM - Jérôme Guélat

The same bug is also occurring with master (3.3, rev. 3032af2dcc)

#2 - 2018-10-01 04:02 PM - Giovanni Manghi

- Affected QGIS version changed from 3.2.3 to 3.3(master)

#3 - 2018-10-06 10:57 PM - Even Rouault

- Assignee set to Even Rouault

- Category changed from Browser to Data Provider/OGR

#4 - 2018-10-08 02:01 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed
